Name:           perl-Test-Memory-Cycle
Version:        1.06
Release:    1%{?dist}
Summary:        Check for memory leaks and circular memory references
License:        Artistic-2.0
URL:            https://metacpan.org/release/Test-Memory-Cycle
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-Memory-Cycle-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Devel::Cycle) >= 1.07
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(lib)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:       perl(Devel::Cycle) >= 1.07

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::Cycle\\)$

%description
Perl's garbage collection has one big problem: Circular references
can't get cleaned up.  A circular reference can be as simple as two
objects that refer to each other.

"Test::Memory::Cycle" is built on top of "Devel::Cycle" to give you an
easy way to check for these circular references.

%prep
%setup -q -n Test-Memory-Cycle-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Memory::Cycle.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-1
- initial build
